aspose file tools*
The moose likes JDBC and the fly likes ORA600 error with jdk1.4, ojdbc14.jar and oracle10.2.0.0 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Databases » JDBC
Bookmark "ORA600 error with jdk1.4, ojdbc14.jar and oracle10.2.0.0" Watch "ORA600 error with jdk1.4, ojdbc14.jar and oracle10.2.0.0" New topic
Author

ORA600 error with jdk1.4, ojdbc14.jar and oracle10.2.0.0

Ashish Gupta
Ranch Hand

Joined: Apr 27, 2003
Posts: 61
Hi,
I have an oracle 10.2 database and jdk1.4.

I am using ojdbc14.jar for JDBC connection. While all other database operations go fine, but I get ORA600 error when doing a select with either a string or selecting a column with VARCHAR2 datatype.

I have tested my class from a linux box, and it works fine with same database. Any help will be great.

Exact error msg is

ORA-00600: internal error code, arguments: [ttcgcshnd-1], [0], [], [], [], [], [], []


My code is

Shailesh Chandra
Ranch Hand

Joined: Aug 13, 2004
Posts: 1081

I am not sure but it may be problem of driver.
Verify that you dont have any old driver in your classpath,also tell us that if ojdbc14.jar is same one that is on linux box or not ?

also try with downloading latest driver from oracle's website

Shailesh


Gravitation cannot be held responsible for people falling in love ~ Albert Einstein
Ashish Gupta
Ranch Hand

Joined: Apr 27, 2003
Posts: 61
Hi Sailesh,
Thanks for responding.

ojdbc14.jar is the latest driver downloaded from OTN. As far as I understand this driver should be platform independent so there should not be different flavours for different platforms. But can check.

Not sure if relevant, I am using JCreator LE 3.5 as an IDE. Though I get same error from command prompt as well.
Shailesh Chandra
Ranch Hand

Joined: Aug 13, 2004
Posts: 1081

Yes driver is plaform indepandant.

When I said driver is same or not I just want to make sure that your both machine have same versions and if not, then it may be a case that windows machine is having lower version

This is all if it is driver problem, might be there is other problem because error code you are getting is very generic and it can lead to varios reason of failure.

Shailesh
Ashish Gupta
Ranch Hand

Joined: Apr 27, 2003
Posts: 61
I somehow got it to work (around the ORA 600). Not sure if it is the right thing or if it might cause other problems later on. I changed the Java executable 'java.exe' from the one which comes along with j2sdk1.4.2 by the one which came along with my windows installation.

Both have same version

C:\WINNT\system32\java.exe -version
java version "1.4.2"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2-b28)
Java HotSpot(TM) Client VM (build 1.4.2-b28, mixed mode)

Not sure where, what the problem is.
Shailesh Chandra
Ranch Hand

Joined: Aug 13, 2004
Posts: 1081

Its really strange that this work around works........
anyway good to know that atleast problem is solved

Shailesh
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: ORA600 error with jdk1.4, ojdbc14.jar and oracle10.2.0.0